info:
  type: content_page
  title: 'Reference Content Paragraph'
  path:
    alias: /documentation/reference-content-paragraph
    pathauto: 0
field_page_section:
  paragraphs:
    -
      paragraph_type: d_p_text_paged
      data:
        field_d_main_title:
          type: text
          data: 'Reference Content Paragraph'
        field_d_subtitle:
          type: text
          data: 'Droopler Documentation'
        field_d_settings:
          type: field_p_configuration_storage
          custom_class: theme-primary padding-top-default padding-bottom-default margin-top-default margin-bottom-default
          heading_type: h1
    -
      paragraph_type: d_p_text_paged
      data:
        field_d_main_title:
          type: text
          data: 'Basic Example'
        field_d_long_text:
          type: text_long
          data: '<p>This paragraph allows you to show a list of content. By default, you can see the latest blog post. If you want to show some other nodes, you can select them in the edit form.</p>'
        field_d_settings:
          type: field_p_configuration_storage
          custom_class: theme-gray padding-top-default padding-bottom-default margin-top-default margin-bottom-default
    -
      paragraph_type: d_p_reference_content
      data:
        field_d_media_icon:
          type: media_image
          directory: demo
          files:
            - path: d_demo/demo_droopler.svg
              alt: 'Droopler Logo'
        field_d_main_title:
          type: text
          data: 'Example Blog Posts'
        field_d_long_text:
          type: text_long
          data: '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent bibendum mi elit, id commodo ligula viverra vitae. Aliquam lorem diam, lobortis at ante et, gravida blandit enim. Ut bibendum egestas sem. Nulla porttitor lorem in erat maximus, id vulputate est auctor. Curabitur consectetur nec ante ac ornare. Nam aliquam elit ex. Nam feugiat nulla pulvinar nunc commodo, eget faucibus mauris egestas.</p>'
        field_d_cta_link:
          type: cta
          data:
            link: 'internal:/documentation/reference-content-paragraph'
            text: 'View all'
            options:
              attributes:
                class:
                  - btn
                  - btn-primary
                  - mt-5
        field_d_settings:
          type: field_p_configuration_storage
          custom_class: basic-example theme-default padding-top-default padding-bottom-default margin-top-default margin-bottom-default
field_teaser_media_image:
  type: media_image
  directory: demo
  files:
    -
      path: d_demo/demo-logo.svg
      alt: Droopler
field_teaser_text:
  type: text_long
  data: 'Discover possibilities of Droopler distribution for Drupal.'
